
Robotics Systems Types - Tasks #1507
Merge back RST changes from HUMAVIPS
05/24/2013 12:41 PM - J. Wienke

Status: Resolved Start date: 05/24/2013
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: protocol Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Currently we have a diverging version of RST for the now ended HUMAVIPS project. We should inspect the changes made in that
project and merge them back to our RST repository as soon as possible. Right now some  parts of our software explicitly require
changes form the HUMAVIPS branch, e.g. the nao cross image, which is not really nice.

Associated revisions
Revision 94188b44 - 05/27/2013 03:02 PM - J. Moringen

Removed HUMAVIPS-specific sandbox types IFaces, Stereo, ViSpeaking

refs #1507

    -  These types duplicate each other and existing types like
  rst.vision.HeadObject and rst.hri.PersonHypothesis

    -  Names are chosen poorly
    -  There is no documentation
    -  Lack of cohesion

    -  proto/sandbox/rst/vision/IFaces.proto: removed; see above reasons
    -  proto/sandbox/rst/vision/Stereo.proto: likewise
    -  proto/sandbox/rst/vision/ViSpeaking.proto: likewise

Revision 661b5715 - 05/27/2013 03:02 PM - J. Moringen

Added GroupHypothesis type from HUMAVIPS branch

refs #1507

    -  proto/sandbox/rst/hri/GroupHypothesis.proto: new file; A hypothesis
  about a group visible to and/or interacting with the robot

Revision b3d7bf5d - 05/27/2013 03:19 PM - J. Moringen

Integrated changes from HUMAVIPS branch in proto/sandbox/rst/hri/PersonHypothesis.proto

refs #1507

    -  proto/sandbox/rst/hri/PersonHypothesis.proto: "position" field has
  been replaced by "rhc_direction" and "rbc_direction" fields;
  "human_head_direction", "age", "gender" and "identity" fields have
  been added

Revision 7b77dee4 - 05/27/2013 04:35 PM - J. Moringen

Integrated changes from HUMAVIPS branch in proto/sandbox/rst/scene/*.proto

refs #1507

    -  proto/sandbox/rst/scene/SceneObject.proto: new file; a named
  object (with shape) in a 3d scene

    -  proto/sandbox/rst/scene/SceneObjects.proto: new file; a set of such
  objects

    -  proto/sandbox/rst/scene/SceneObjectQuery.proto: new file; a query
  for filtering such objects

History
#1 - 05/27/2013 01:43 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#2 - 05/27/2013 02:06 PM - J. Wienke

Here is a list of relevant files containing relevant content changes:

proto/sandbox/rst/generic/ListFloat.proto
proto/sandbox/rst/hri/GroupHypothesis.proto
proto/sandbox/rst/hri/PersonHypothesis.proto
proto/sandbox/rst/scene/SceneManagerQuery.proto
proto/sandbox/rst/scene/SceneObject.proto
proto/sandbox/rst/scene/SceneObjects.proto
proto/sandbox/rst/vision/Stereo.proto
proto/sandbox/rst/vision/ViSpeaking.proto
proto/stable/rst/audition/AzimuthElevation.proto
proto/stable/rst/xml/XOPData.proto [Probably a renaming to XOP.proto in master]

I am not sure whether some of the changes should really go to the master branch. We should review them individually.

Additionally we should review these files already present in master (they were created before the humavips clone existed):

proto/sandbox/rst/vision/IFaces.proto [The name is broken and content-wise I am strongly against such an arbitrary combination of data types]
proto/sandbox/rst/vision/Stereo.proto [Bad name; doesn't look like a coherent data type]
proto/sandbox/rst/vision/ViSpeaking.proto [Bad name; uses other questionable type; arbitrary combination of types with cohesion]

#3 - 05/27/2013 04:42 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
Johannes Wienke wrote:

Here is a list of relevant files containing relevant content changes:
[...]

We have merged but slightly modified:

proto/sandbox/rst/hri/GroupHypothesis.proto
proto/sandbox/rst/hri/PersonHypothesis.proto
proto/sandbox/rst/scene/SceneManagerQuery.proto
proto/sandbox/rst/scene/SceneObject.proto
proto/sandbox/rst/scene/SceneObjects.proto

The other types are currently too coupled to a specific application for being merged. Maybe this can be done later when they are needed in master.

Additionally we should review these files already present in master (they were created before the humavips clone existed):
[...]

These files have been deleted to prevent that others use the ill-designed types.
